TechDraw RadiusDimension: Difference between revisions

From FreeCAD Documentation
(Notes moved to limitations section on "how to use")
m ([[ | ]])
(9 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>
<!--T:18-->
{{Docnav
|[[TechDraw_Dimension_Vertical|New Vertical]]
|[[TechDraw_Dimension_Diameter|New Diameter]]
|[[TechDraw_Module|TechDraw]]
|IconL=Techdraw_Dimension_Vertical.png
|IconC=Workbench_TechDraw.svg
|IconR=Techdraw_Dimension_Diameter.png
}}

<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand
Line 6: Line 16:
|MenuLocation=TechDraw → Dimension Radius
|MenuLocation=TechDraw → Dimension Radius
|Workbenches=[[TechDraw Module|TechDraw]]
|Workbenches=[[TechDraw Module|TechDraw]]
|SeeAlso=[[TechDraw Dimension Diameter]]
|SeeAlso=[[TechDraw Dimension Diameter|TechDraw Dimension Diameter]]
}}
}}


==Description== <!--T:2-->
==Description== <!--T:2-->

The Dimension Radius tool adds a radius dimension to a View. The dimension may be applied to any Edge in the drawing which is a circle or circular arc.
<!--T:8-->
The Dimension Radius tool adds a radius dimension to a View. The dimension may be applied to any Edge in the drawing which is a circle or circular arc. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the {{Button|[[Image:TechDraw_Dimension_Link.svg|16px]] [[TechDraw_Dimension_Link|Link Dimension]]}} tool.



</translate>
</translate>
[[Image:RadiusSample.png]]
[[Image:TechDraw_Dimension_Radius_example.png]]
<translate>
<translate>
<!--T:9-->
{{Caption|Measuring a circle, indicating the radius}}
{{Caption|Measuring a circle, indicating the radius}}


==How to use== <!--T:3-->
==How to use== <!--T:3-->

<!--T:10-->
# Select a circle or circular arc in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a radius dimension in these cases)
# Select a circle or circular arc in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a radius dimension in these cases)
# Press the {{Button|[[Image:Dimension_Radius.png|16px]] [[TechDraw Dimension Radius|Dimension Radius]]}} button
# Press the {{Button|[[Image:Dimension_Radius.png|16px]] [[TechDraw Dimension Radius|Dimension Radius]]}} button
# A dimension will be added to the View. The dimension may be dragged to the desired position.
# A dimension will be added to the View. The dimension may be dragged to the desired position.


==Options== <!--T:4-->
== Limitations == <!--T:11-->

None.
<!--T:12-->
Dimension objects are vulnerable to "topological naming" issues. See the information in the [[TechDraw Dimension Length|TechDraw Dimension Length]] tool for more information.


==Properties== <!--T:5-->
==Properties== <!--T:5-->

This object has the same properties as the [[TechDraw Dimension Length]] tool. See that tool for details.
<!--T:13-->
This object has the same properties as the [[TechDraw Dimension Length|TechDraw Dimension Length]] tool. See that tool for details.


==Scripting== <!--T:6-->
==Scripting== <!--T:6-->
{{Emphasis|See also:}} [[TechDraw API]] and [[FreeCAD Scripting Basics]].


<!--T:14-->
The Dimension Radius tool can be used in [[macros]] and from the [[Python]] console by using the following functions:
{{Emphasis|See also:}} [[TechDraw API|TechDraw API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].

<!--T:15-->
The Dimension Radius tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following functions:


</translate>
</translate>
Line 42: Line 65:
<translate>
<translate>



<!--T:19-->
{{Docnav
|[[TechDraw_Dimension_Vertical|New Vertical]]
|[[TechDraw_Dimension_Diameter|New Diameter]]
|[[TechDraw_Module|TechDraw]]
|IconL=Techdraw_Dimension_Vertical.png
|IconC=Workbench_TechDraw.svg
|IconR=Techdraw_Dimension_Diameter.png
}}

<!--T:16-->
{{TechDraw Tools navi}}
{{TechDraw Tools navi}}

<!--T:17-->
{{Userdocnavi}}
{{Userdocnavi}}
</translate>
</translate>

Revision as of 20:47, 15 October 2019

TechDraw Dimension Radius

Menu location
TechDraw → Dimension Radius
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
TechDraw Dimension Diameter

Description

The Dimension Radius tool adds a radius dimension to a View. The dimension may be applied to any Edge in the drawing which is a circle or circular arc. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the Link Dimension tool.


Measuring a circle, indicating the radius

How to use

  1. Select a circle or circular arc in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a radius dimension in these cases)
  2. Press the File:Dimension Radius.png Dimension Radius button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Limitations

Dimension objects are vulnerable to "topological naming" issues. See the information in the TechDraw Dimension Length tool for more information.

Properties

This object has the same properties as the TechDraw Dimension Length tool. See that tool for details.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Dimension Radius tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Radius"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)